!This program opens each METAR file (listed in 'Listofstations.txt') and removes the characters '#', '>', '@', and '~'.
!And combines into a single file.

	Program CleanMETARFiles

	character*16 ifile
	character*20 ofile
	character*24 ifile_r
	character*130 cline

	open(10,file='Listofstations.txt',status='old')		!OPEN FILE CONTAINING ALL THE METAR DATA FILENAMES

	ofile='NAVSHP-MTR-CLEAN.txt'				!NAME OF OUTPUT DATA FILE CONTAINING ALL METAR RECORDS
	open(12,file=ofile,status='unknown')

	do 100 i=1,54
	  if(i.le.47) then
	    read(10,'(a16)') ifile
	    open(11,file=ifile,status='old')
	  else
	    read(10,'(a24)') ifile_r
	    open(11,file=ifile_r,status='old')
	  endif

	  do while(1.gt.0)
	    read(11,'(a130)',end=90) cline
	    do j=1,130
	      if(cline(j:j).eq.'#'.or.cline(j:j).eq.'~'
     *			.or.cline(j:j).eq.'>'.or.cline(j:j).eq.'@') then
	  	cline(j:j)=' '
	      endif
	    enddo
! SPECIAL CHECK TO REPLACE 'SK' WITH BLANKS IF LOCATED IN THE WRONG PLACE IN THE CLOUD FIELD
	    do j=67,78
	      k=j+1
	      if(cline(j:k).eq.'SK') cline(j:k)='  '
	    enddo

	    write(12,'(a130)') cline
	  enddo

 90	  continue				!END OF LOOP OVER EACH RECORD IN METAR DATA FILE
	  close(11)

 100	continue				!END OF LOOP OVER EACH METAR DATA FILE

	close(10)
	close(12)

	stop
	end
